#include "vision.h"

std::vector<int> getVisionPattern1d(){
    return {2, 1, 2, 1, 1, 2};
}

int getMove1d(std::vector<int> v){
    if(v.size() == 3){
        if(v[0] == 2) return 0;
        else return 2;
    }
    if(v[1] == 2){
        if(v[0] == 2) return 0;
        else if(v[4] == 2) return 4;
        else return 1;
    }
    else if(v[3] == 2){
        if(v[0] == 2) return 0;
        else if(v[4] == 2) return 4;
        else return 3;
    }
    else{
        if(v[0] == 1) return 0;
        else return 4;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
